copilot-c99-4.7.1: A compiler for Copilot targeting C99.

Safe Haskell | None
Language | Haskell2010

Copilot.Compile.C99

Description

Compile Copilot specifications to C99 code.

Synopsis

- compile :: String -> Spec -> IO ()
- compileWith :: CSettings -> String -> Spec -> IO ()
- data CSettings = CSettings {
  - cSettingsStepFunctionName :: String
  - cSettingsOutputDirectory :: FilePath
  }
- mkDefaultCSettings :: CSettings

# Documentation

compile :: String -> Spec -> IO () Source #

Compile a specification to a .h and a .c file.

The first argument is used as prefix for the .h and .c files generated.

compileWith :: CSettings -> String -> Spec -> IO () Source #

Compile a specification to a .h and a .c file.

The first argument is the settings for the C code generated.

The second argument is used as prefix for the .h and .c files generated.

data CSettings Source #

Settings used to customize the code generated.

Constructors

CSettings |

Fields

- cSettingsStepFunctionName :: String
- cSettingsOutputDirectory :: FilePath

mkDefaultCSettings :: CSettings Source #

Default settings with a step function called `step`.